Makefile 38 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_rhosts/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2008, 2009 Thorsten Kukuk <kukuk@suse.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. subdir = modules/pam_rhosts
  89. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  90. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  91. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  92. $(top_srcdir)/m4/intlmacosx.m4 \
  93. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  94. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  95. $(top_srcdir)/m4/ld-no-undefined.m4 \
  96. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  97. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  98. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  99. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  100. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  101. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  102. $(top_srcdir)/m4/progtest.m4 \
  103. $(top_srcdir)/m4/warn_lang_flags.m4 \
  104. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  105. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  106. $(ACLOCAL_M4)
  107. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  108. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  109. mkinstalldirs = $(install_sh) -d
  110. CONFIG_HEADER = $(top_builddir)/config.h
  111. CONFIG_CLEAN_FILES =
  112. CONFIG_CLEAN_VPATH_FILES =
  113. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  114. am__vpath_adj = case $$p in \
  115. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  116. *) f=$$p;; \
  117. esac;
  118. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  119. am__install_max = 40
  120. am__nobase_strip_setup = \
  121. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  122. am__nobase_strip = \
  123. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  124. am__nobase_list = $(am__nobase_strip_setup); \
  125. for p in $$list; do echo "$$p $$p"; done | \
  126. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  127. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  128. if (++n[$$2] == $(am__install_max)) \
  129. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  130. END { for (dir in files) print dir, files[dir] }'
  131. am__base_list = \
  132. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  133. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  134. am__uninstall_files_from_dir = { \
  135. test -z "$$files" \
  136. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  137. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  138. $(am__cd) "$$dir" && rm -f $$files; }; \
  139. }
  140. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  141. LTLIBRARIES = $(securelib_LTLIBRARIES)
  142. pam_rhosts_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  143. pam_rhosts_la_SOURCES = pam_rhosts.c
  144. pam_rhosts_la_OBJECTS = pam_rhosts.lo
  145. AM_V_lt = $(am__v_lt_$(V))
  146. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  147. am__v_lt_0 = --silent
  148. am__v_lt_1 =
  149. AM_V_P = $(am__v_P_$(V))
  150. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  151. am__v_P_0 = false
  152. am__v_P_1 = :
  153. AM_V_GEN = $(am__v_GEN_$(V))
  154. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  155. am__v_GEN_0 = @echo " GEN " $@;
  156. am__v_GEN_1 =
  157. AM_V_at = $(am__v_at_$(V))
  158. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  159. am__v_at_0 = @
  160. am__v_at_1 =
  161. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  162. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  163. am__maybe_remake_depfiles = depfiles
  164. am__depfiles_remade = ./$(DEPDIR)/pam_rhosts.Plo
  165. am__mv = mv -f
  166. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  167. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  168. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  169. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  170. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  171. $(AM_CFLAGS) $(CFLAGS)
  172. AM_V_CC = $(am__v_CC_$(V))
  173. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  174. am__v_CC_0 = @echo " CC " $@;
  175. am__v_CC_1 =
  176. CCLD = $(CC)
  177. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  178. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  179. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  180. AM_V_CCLD = $(am__v_CCLD_$(V))
  181. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  182. am__v_CCLD_0 = @echo " CCLD " $@;
  183. am__v_CCLD_1 =
  184. SOURCES = pam_rhosts.c
  185. DIST_SOURCES = pam_rhosts.c
  186. am__can_run_installinfo = \
  187. case $$AM_UPDATE_INFO_DIR in \
  188. n|no|NO) false;; \
  189. *) (install-info --version) >/dev/null 2>&1;; \
  190. esac
  191. man8dir = $(mandir)/man8
  192. NROFF = nroff
  193. MANS = $(dist_man_MANS)
  194. am__dist_noinst_DATA_DIST = README
  195. DATA = $(dist_noinst_DATA)
  196. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  197. # Read a list of newline-separated strings from the standard input,
  198. # and print each of them once, without duplicates. Input order is
  199. # *not* preserved.
  200. am__uniquify_input = $(AWK) '\
  201. BEGIN { nonempty = 0; } \
  202. { items[$$0] = 1; nonempty = 1; } \
  203. END { if (nonempty) { for (i in items) print i; }; } \
  204. '
  205. # Make sure the list of sources is unique. This is necessary because,
  206. # e.g., the same source file might be shared among _SOURCES variables
  207. # for different programs/libraries.
  208. am__define_uniq_tagged_files = \
  209. list='$(am__tagged_files)'; \
  210. unique=`for i in $$list; do \
  211. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  212. done | $(am__uniquify_input)`
  213. ETAGS = etags
  214. CTAGS = ctags
  215. am__tty_colors_dummy = \
  216. mgn= red= grn= lgn= blu= brg= std=; \
  217. am__color_tests=no
  218. am__tty_colors = { \
  219. $(am__tty_colors_dummy); \
  220. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  221. am__color_tests=no; \
  222. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  223. am__color_tests=yes; \
  224. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  225. am__color_tests=yes; \
  226. fi; \
  227. if test $$am__color_tests = yes; then \
  228. red=''; \
  229. grn=''; \
  230. lgn=''; \
  231. blu=''; \
  232. mgn=''; \
  233. brg=''; \
  234. std=''; \
  235. fi; \
  236. }
  237. am__recheck_rx = ^[ ]*:recheck:[ ]*
  238. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  239. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  240. # A command that, given a newline-separated list of test names on the
  241. # standard input, print the name of the tests that are to be re-run
  242. # upon "make recheck".
  243. am__list_recheck_tests = $(AWK) '{ \
  244. recheck = 1; \
  245. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  246. { \
  247. if (rc < 0) \
  248. { \
  249. if ((getline line2 < ($$0 ".log")) < 0) \
  250. recheck = 0; \
  251. break; \
  252. } \
  253. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  254. { \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  259. { \
  260. break; \
  261. } \
  262. }; \
  263. if (recheck) \
  264. print $$0; \
  265. close ($$0 ".trs"); \
  266. close ($$0 ".log"); \
  267. }'
  268. # A command that, given a newline-separated list of test names on the
  269. # standard input, create the global log from their .trs and .log files.
  270. am__create_global_log = $(AWK) ' \
  271. function fatal(msg) \
  272. { \
  273. print "fatal: making $@: " msg | "cat >&2"; \
  274. exit 1; \
  275. } \
  276. function rst_section(header) \
  277. { \
  278. print header; \
  279. len = length(header); \
  280. for (i = 1; i <= len; i = i + 1) \
  281. printf "="; \
  282. printf "\n\n"; \
  283. } \
  284. { \
  285. copy_in_global_log = 1; \
  286. global_test_result = "RUN"; \
  287. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  288. { \
  289. if (rc < 0) \
  290. fatal("failed to read from " $$0 ".trs"); \
  291. if (line ~ /$(am__global_test_result_rx)/) \
  292. { \
  293. sub("$(am__global_test_result_rx)", "", line); \
  294. sub("[ ]*$$", "", line); \
  295. global_test_result = line; \
  296. } \
  297. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  298. copy_in_global_log = 0; \
  299. }; \
  300. if (copy_in_global_log) \
  301. { \
  302. rst_section(global_test_result ": " $$0); \
  303. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  304. { \
  305. if (rc < 0) \
  306. fatal("failed to read from " $$0 ".log"); \
  307. print line; \
  308. }; \
  309. printf "\n"; \
  310. }; \
  311. close ($$0 ".trs"); \
  312. close ($$0 ".log"); \
  313. }'
  314. # Restructured Text title.
  315. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  316. # Solaris 10 'make', and several other traditional 'make' implementations,
  317. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  318. # by disabling -e (using the XSI extension "set +e") if it's set.
  319. am__sh_e_setup = case $$- in *e*) set +e;; esac
  320. # Default flags passed to test drivers.
  321. am__common_driver_flags = \
  322. --color-tests "$$am__color_tests" \
  323. --enable-hard-errors "$$am__enable_hard_errors" \
  324. --expect-failure "$$am__expect_failure"
  325. # To be inserted before the command running the test. Creates the
  326. # directory for the log if needed. Stores in $dir the directory
  327. # containing $f, in $tst the test, in $log the log. Executes the
  328. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  329. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  330. # will run the test scripts (or their associated LOG_COMPILER, if
  331. # thy have one).
  332. am__check_pre = \
  333. $(am__sh_e_setup); \
  334. $(am__vpath_adj_setup) $(am__vpath_adj) \
  335. $(am__tty_colors); \
  336. srcdir=$(srcdir); export srcdir; \
  337. case "$@" in \
  338. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  339. *) am__odir=.;; \
  340. esac; \
  341. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  342. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  343. if test -f "./$$f"; then dir=./; \
  344. elif test -f "$$f"; then dir=; \
  345. else dir="$(srcdir)/"; fi; \
  346. tst=$$dir$$f; log='$@'; \
  347. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  348. am__enable_hard_errors=no; \
  349. else \
  350. am__enable_hard_errors=yes; \
  351. fi; \
  352. case " $(XFAIL_TESTS) " in \
  353. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  354. am__expect_failure=yes;; \
  355. *) \
  356. am__expect_failure=no;; \
  357. esac; \
  358. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  359. # A shell command to get the names of the tests scripts with any registered
  360. # extension removed (i.e., equivalently, the names of the test logs, with
  361. # the '.log' extension removed). The result is saved in the shell variable
  362. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  363. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  364. # since that might cause problem with VPATH rewrites for suffix-less tests.
  365. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  366. am__set_TESTS_bases = \
  367. bases='$(TEST_LOGS)'; \
  368. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  369. bases=`echo $$bases`
  370. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  371. RECHECK_LOGS = $(TEST_LOGS)
  372. AM_RECURSIVE_TARGETS = check recheck
  373. TEST_SUITE_LOG = test-suite.log
  374. TEST_EXTENSIONS = .test
  375. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  376. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  377. am__set_b = \
  378. case '$@' in \
  379. */*) \
  380. case '$*' in \
  381. */*) b='$*';; \
  382. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  383. esac;; \
  384. *) \
  385. b='$*';; \
  386. esac
  387. am__test_logs1 = $(TESTS:=.log)
  388. am__test_logs2 = $(am__test_logs1:.log=.log)
  389. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  390. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  391. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  392. $(TEST_LOG_FLAGS)
  393. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  394. $(top_srcdir)/build-aux/depcomp \
  395. $(top_srcdir)/build-aux/test-driver
  396. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  397. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  398. AMTAR = $${TAR-tar}
  399. AM_DEFAULT_VERBOSITY = 1
  400. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  401. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  402. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  403. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  404. AWK = gawk
  405. BROWSER =
  406. BUILD_CFLAGS =
  407. BUILD_CPPFLAGS =
  408. BUILD_LDFLAGS =
  409. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  410. CCDEPMODE = depmode=gcc3
  411. CC_FOR_BUILD = gcc
  412. CFLAGS = -g -O2
  413. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  414. CPPFLAGS =
  415. CRYPTO_LIBS =
  416. CRYPT_CFLAGS =
  417. CRYPT_LIBS = -lcrypt
  418. CYGPATH_W = echo
  419. DEFS = -DHAVE_CONFIG_H
  420. DEPDIR = .deps
  421. DLLTOOL = false
  422. DSYMUTIL =
  423. DUMPBIN = :
  424. ECHO_C =
  425. ECHO_N = -n
  426. ECHO_T =
  427. ECONF_CFLAGS =
  428. ECONF_LIBS =
  429. EGREP = /bin/grep -E
  430. EXEEXT =
  431. EXE_CFLAGS = -fpie
  432. EXE_LDFLAGS = -pie -Wl,-z,now
  433. FGREP = /bin/grep -F
  434. FO2PDF =
  435. GETTEXT_MACRO_VERSION = 0.18
  436. GMSGFMT = /usr/bin/msgfmt
  437. GMSGFMT_015 = /usr/bin/msgfmt
  438. GREP = /bin/grep
  439. INSTALL = /usr/bin/install -c
  440. INSTALL_DATA = ${INSTALL} -m 644
  441. INSTALL_PROGRAM = ${INSTALL}
  442. INSTALL_SCRIPT = ${INSTALL}
  443. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  444. INTLLIBS =
  445. INTL_MACOSX_LIBS =
  446. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  447. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  448. LEX = flex
  449. LEXLIB = -lfl
  450. LEX_OUTPUT_ROOT = lex.yy
  451. LIBAUDIT =
  452. LIBCRYPT = -lcrypt
  453. LIBDB =
  454. LIBDL = -ldl
  455. LIBICONV = -liconv
  456. LIBINTL =
  457. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  458. LIBPRELUDE_CFLAGS =
  459. LIBPRELUDE_CONFIG = no
  460. LIBPRELUDE_CONFIG_PREFIX =
  461. LIBPRELUDE_LDFLAGS =
  462. LIBPRELUDE_LIBS =
  463. LIBPRELUDE_PREFIX =
  464. LIBPRELUDE_PTHREAD_CFLAGS =
  465. LIBS =
  466. LIBSELINUX =
  467. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  468. LIPO =
  469. LN_S = ln -s
  470. LTLIBICONV = -liconv
  471. LTLIBINTL =
  472. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  473. LT_SYS_LIBRARY_PATH =
  474. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  475. MANIFEST_TOOL = :
  476. MKDIR_P = /bin/mkdir -p
  477. MSGFMT = /usr/bin/msgfmt
  478. MSGFMT_015 = /usr/bin/msgfmt
  479. MSGMERGE = /usr/bin/msgmerge
  480. NIS_CFLAGS =
  481. NIS_LIBS =
  482. NM = nm
  483. NMEDIT =
  484. NSL_CFLAGS =
  485. NSL_LIBS = -lnsl
  486. OBJDUMP = objdump
  487. OBJEXT = o
  488. OTOOL =
  489. OTOOL64 =
  490. PACKAGE = Linux-PAM
  491. PACKAGE_BUGREPORT =
  492. PACKAGE_NAME = Linux-PAM
  493. PACKAGE_STRING = Linux-PAM 1.5.2
  494. PACKAGE_TARNAME = Linux-PAM
  495. PACKAGE_URL =
  496. PACKAGE_VERSION = 1.5.2
  497. PATH_SEPARATOR = :
  498. PKG_CONFIG = /usr/bin/pkg-config
  499. PKG_CONFIG_LIBDIR =
  500. PKG_CONFIG_PATH =
  501. POSUB = po
  502. RANLIB = ranlib
  503. SCONFIGDIR = ${prefix}/etc/security
  504. SECUREDIR = ${exec_prefix}/lib/security
  505. SED = /bin/sed
  506. SET_MAKE =
  507. SHELL = /bin/bash
  508. STRINGPARAM_HMAC =
  509. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  510. STRIP = strip
  511. TIRPC_CFLAGS =
  512. TIRPC_LIBS =
  513. USE_NLS = yes
  514. VERSION = 1.5.2
  515. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  516. XGETTEXT = /usr/bin/xgettext
  517. XGETTEXT_015 = /usr/bin/xgettext
  518. XGETTEXT_EXTRA_OPTIONS =
  519. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  520. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  521. XML_CATALOG_FILE = /etc/xml/catalog
  522. XSLTPROC = /usr/bin/xsltproc
  523. YACC = bison -y
  524. YFLAGS =
  525. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_rhosts
  526. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_rhosts
  527. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  528. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  529. ac_ct_AR =
  530. ac_ct_CC =
  531. ac_ct_DUMPBIN = link -dump
  532. am__include = include
  533. am__leading_dot = .
  534. am__quote =
  535. am__tar = $${TAR-tar} chof - "$$tardir"
  536. am__untar = $${TAR-tar} xf -
  537. bindir = ${exec_prefix}/bin
  538. build = x86_64-pc-linux-gnu
  539. build_alias =
  540. build_cpu = x86_64
  541. build_os = linux-gnu
  542. build_vendor = pc
  543. builddir = .
  544. datadir = ${datarootdir}
  545. datarootdir = ${prefix}/share
  546. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  547. dvidir = ${docdir}
  548. exec_prefix = ${prefix}
  549. host = arm-unknown-linux-gnueabihf
  550. host_alias = arm-linux-gnueabihf
  551. host_cpu = arm
  552. host_os = linux-gnueabihf
  553. host_vendor = unknown
  554. htmldir = ${docdir}
  555. includedir = ${prefix}/include
  556. infodir = ${datarootdir}/info
  557. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  558. libdir = ${exec_prefix}/lib
  559. libexecdir = ${exec_prefix}/libexec
  560. localedir = ${datarootdir}/locale
  561. localstatedir = ${prefix}/var
  562. mandir = ${datarootdir}/man
  563. mkdir_p = $(MKDIR_P)
  564. oldincludedir = /usr/include
  565. pam_xauth_path = /usr/bin/xauth
  566. pdfdir = ${docdir}
  567. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  568. program_transform_name = s,x,x,
  569. psdir = ${docdir}
  570. sbindir = ${exec_prefix}/sbin
  571. sharedstatedir = ${prefix}/com
  572. srcdir = .
  573. sysconfdir = ${prefix}/etc
  574. systemdunitdir =
  575. target_alias =
  576. top_build_prefix = ../../
  577. top_builddir = ../..
  578. top_srcdir = ../..
  579. CLEANFILES = *~
  580. MAINTAINERCLEANFILES = $(MANS) README
  581. EXTRA_DIST = $(XMLS)
  582. #dist_man_MANS = pam_rhosts.8
  583. XMLS = README.xml pam_rhosts.8.xml
  584. dist_check_SCRIPTS = tst-pam_rhosts
  585. TESTS = $(dist_check_SCRIPTS)
  586. securelibdir = $(SECUREDIR)
  587. secureconfdir = $(SCONFIGDIR)
  588. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  589. $(WARN_CFLAGS)
  590. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  591. securelib_LTLIBRARIES = pam_rhosts.la
  592. pam_rhosts_la_LIBADD = $(top_builddir)/libpam/libpam.la
  593. #dist_noinst_DATA = README
  594. all: all-am
  595. .SUFFIXES:
  596. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  597. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  598. @for dep in $?; do \
  599. case '$(am__configure_deps)' in \
  600. *$$dep*) \
  601. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  602. && { if test -f $@; then exit 0; else break; fi; }; \
  603. exit 1;; \
  604. esac; \
  605. done; \
  606. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_rhosts/Makefile'; \
  607. $(am__cd) $(top_srcdir) && \
  608. $(AUTOMAKE) --gnu modules/pam_rhosts/Makefile
  609. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  610. @case '$?' in \
  611. *config.status*) \
  612. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  613. *) \
  614. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  615. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  616. esac;
  617. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  618. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  619. $(top_srcdir)/configure: $(am__configure_deps)
  620. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  621. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  622. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  623. $(am__aclocal_m4_deps):
  624. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  625. @$(NORMAL_INSTALL)
  626. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  627. list2=; for p in $$list; do \
  628. if test -f $$p; then \
  629. list2="$$list2 $$p"; \
  630. else :; fi; \
  631. done; \
  632. test -z "$$list2" || { \
  633. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  634. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  635. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  636. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  637. }
  638. uninstall-securelibLTLIBRARIES:
  639. @$(NORMAL_UNINSTALL)
  640. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  641. for p in $$list; do \
  642. $(am__strip_dir) \
  643. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  644. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  645. done
  646. clean-securelibLTLIBRARIES:
  647. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  648. @list='$(securelib_LTLIBRARIES)'; \
  649. locs=`for p in $$list; do echo $$p; done | \
  650. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  651. sort -u`; \
  652. test -z "$$locs" || { \
  653. echo rm -f $${locs}; \
  654. rm -f $${locs}; \
  655. }
  656. pam_rhosts.la: $(pam_rhosts_la_OBJECTS) $(pam_rhosts_la_DEPENDENCIES) $(EXTRA_pam_rhosts_la_DEPENDENCIES)
  657. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_rhosts_la_OBJECTS) $(pam_rhosts_la_LIBADD) $(LIBS)
  658. mostlyclean-compile:
  659. -rm -f *.$(OBJEXT)
  660. distclean-compile:
  661. -rm -f *.tab.c
  662. include ./$(DEPDIR)/pam_rhosts.Plo # am--include-marker
  663. $(am__depfiles_remade):
  664. @$(MKDIR_P) $(@D)
  665. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  666. am--depfiles: $(am__depfiles_remade)
  667. .c.o:
  668. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  669. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  670. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  671. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  672. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  673. .c.obj:
  674. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  675. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  676. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  677. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  678. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  679. .c.lo:
  680. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  681. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  682. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  683. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  684. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  685. mostlyclean-libtool:
  686. -rm -f *.lo
  687. clean-libtool:
  688. -rm -rf .libs _libs
  689. install-man8: $(dist_man_MANS)
  690. @$(NORMAL_INSTALL)
  691. @list1=''; \
  692. list2='$(dist_man_MANS)'; \
  693. test -n "$(man8dir)" \
  694. && test -n "`echo $$list1$$list2`" \
  695. || exit 0; \
  696. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  697. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  698. { for i in $$list1; do echo "$$i"; done; \
  699. if test -n "$$list2"; then \
  700. for i in $$list2; do echo "$$i"; done \
  701. | sed -n '/\.8[a-z]*$$/p'; \
  702. fi; \
  703. } | while read p; do \
  704. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  705. echo "$$d$$p"; echo "$$p"; \
  706. done | \
  707. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  708. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  709. sed 'N;N;s,\n, ,g' | { \
  710. list=; while read file base inst; do \
  711. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  712. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  713. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  714. fi; \
  715. done; \
  716. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  717. while read files; do \
  718. test -z "$$files" || { \
  719. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  720. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  721. done; }
  722. uninstall-man8:
  723. @$(NORMAL_UNINSTALL)
  724. @list=''; test -n "$(man8dir)" || exit 0; \
  725. files=`{ for i in $$list; do echo "$$i"; done; \
  726. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  727. sed -n '/\.8[a-z]*$$/p'; \
  728. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  729. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  730. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  731. ID: $(am__tagged_files)
  732. $(am__define_uniq_tagged_files); mkid -fID $$unique
  733. tags: tags-am
  734. TAGS: tags
  735. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  736. set x; \
  737. here=`pwd`; \
  738. $(am__define_uniq_tagged_files); \
  739. shift; \
  740. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  741. test -n "$$unique" || unique=$$empty_fix; \
  742. if test $$# -gt 0; then \
  743. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  744. "$$@" $$unique; \
  745. else \
  746. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  747. $$unique; \
  748. fi; \
  749. fi
  750. ctags: ctags-am
  751. CTAGS: ctags
  752. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  753. $(am__define_uniq_tagged_files); \
  754. test -z "$(CTAGS_ARGS)$$unique" \
  755. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  756. $$unique
  757. GTAGS:
  758. here=`$(am__cd) $(top_builddir) && pwd` \
  759. && $(am__cd) $(top_srcdir) \
  760. && gtags -i $(GTAGS_ARGS) "$$here"
  761. cscopelist: cscopelist-am
  762. cscopelist-am: $(am__tagged_files)
  763. list='$(am__tagged_files)'; \
  764. case "$(srcdir)" in \
  765. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  766. *) sdir=$(subdir)/$(srcdir) ;; \
  767. esac; \
  768. for i in $$list; do \
  769. if test -f "$$i"; then \
  770. echo "$(subdir)/$$i"; \
  771. else \
  772. echo "$$sdir/$$i"; \
  773. fi; \
  774. done >> $(top_builddir)/cscope.files
  775. distclean-tags:
  776. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  777. # Recover from deleted '.trs' file; this should ensure that
  778. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  779. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  780. # to avoid problems with "make -n".
  781. .log.trs:
  782. rm -f $< $@
  783. $(MAKE) $(AM_MAKEFLAGS) $<
  784. # Leading 'am--fnord' is there to ensure the list of targets does not
  785. # expand to empty, as could happen e.g. with make check TESTS=''.
  786. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  787. am--force-recheck:
  788. @:
  789. $(TEST_SUITE_LOG): $(TEST_LOGS)
  790. @$(am__set_TESTS_bases); \
  791. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  792. redo_bases=`for i in $$bases; do \
  793. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  794. done`; \
  795. if test -n "$$redo_bases"; then \
  796. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  797. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  798. if $(am__make_dryrun); then :; else \
  799. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  800. fi; \
  801. fi; \
  802. if test -n "$$am__remaking_logs"; then \
  803. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  804. "recursion detected" >&2; \
  805. elif test -n "$$redo_logs"; then \
  806. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  807. fi; \
  808. if $(am__make_dryrun); then :; else \
  809. st=0; \
  810. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  811. for i in $$redo_bases; do \
  812. test -f $$i.trs && test -r $$i.trs \
  813. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  814. test -f $$i.log && test -r $$i.log \
  815. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  816. done; \
  817. test $$st -eq 0 || exit 1; \
  818. fi
  819. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  820. ws='[ ]'; \
  821. results=`for b in $$bases; do echo $$b.trs; done`; \
  822. test -n "$$results" || results=/dev/null; \
  823. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  824. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  825. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  826. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  827. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  828. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  829. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  830. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  831. success=true; \
  832. else \
  833. success=false; \
  834. fi; \
  835. br='==================='; br=$$br$$br$$br$$br; \
  836. result_count () \
  837. { \
  838. if test x"$$1" = x"--maybe-color"; then \
  839. maybe_colorize=yes; \
  840. elif test x"$$1" = x"--no-color"; then \
  841. maybe_colorize=no; \
  842. else \
  843. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  844. fi; \
  845. shift; \
  846. desc=$$1 count=$$2; \
  847. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  848. color_start=$$3 color_end=$$std; \
  849. else \
  850. color_start= color_end=; \
  851. fi; \
  852. echo "$${color_start}# $$desc $$count$${color_end}"; \
  853. }; \
  854. create_testsuite_report () \
  855. { \
  856. result_count $$1 "TOTAL:" $$all "$$brg"; \
  857. result_count $$1 "PASS: " $$pass "$$grn"; \
  858. result_count $$1 "SKIP: " $$skip "$$blu"; \
  859. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  860. result_count $$1 "FAIL: " $$fail "$$red"; \
  861. result_count $$1 "XPASS:" $$xpass "$$red"; \
  862. result_count $$1 "ERROR:" $$error "$$mgn"; \
  863. }; \
  864. { \
  865. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  866. $(am__rst_title); \
  867. create_testsuite_report --no-color; \
  868. echo; \
  869. echo ".. contents:: :depth: 2"; \
  870. echo; \
  871. for b in $$bases; do echo $$b; done \
  872. | $(am__create_global_log); \
  873. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  874. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  875. if $$success; then \
  876. col="$$grn"; \
  877. else \
  878. col="$$red"; \
  879. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  880. fi; \
  881. echo "$${col}$$br$${std}"; \
  882. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  883. echo "$${col}$$br$${std}"; \
  884. create_testsuite_report --maybe-color; \
  885. echo "$$col$$br$$std"; \
  886. if $$success; then :; else \
  887. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  888. if test -n "$(PACKAGE_BUGREPORT)"; then \
  889. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  890. fi; \
  891. echo "$$col$$br$$std"; \
  892. fi; \
  893. $$success || exit 1
  894. check-TESTS: $(dist_check_SCRIPTS)
  895. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  896. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  897. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  898. @set +e; $(am__set_TESTS_bases); \
  899. log_list=`for i in $$bases; do echo $$i.log; done`; \
  900. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  901. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  902. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  903. exit $$?;
  904. recheck: all $(dist_check_SCRIPTS)
  905. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  906. @set +e; $(am__set_TESTS_bases); \
  907. bases=`for i in $$bases; do echo $$i; done \
  908. | $(am__list_recheck_tests)` || exit 1; \
  909. log_list=`for i in $$bases; do echo $$i.log; done`; \
  910. log_list=`echo $$log_list`; \
  911. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  912. am__force_recheck=am--force-recheck \
  913. TEST_LOGS="$$log_list"; \
  914. exit $$?
  915. tst-pam_rhosts.log: tst-pam_rhosts
  916. @p='tst-pam_rhosts'; \
  917. b='tst-pam_rhosts'; \
  918. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  919. --log-file $$b.log --trs-file $$b.trs \
  920. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  921. "$$tst" $(AM_TESTS_FD_REDIRECT)
  922. .test.log:
  923. @p='$<'; \
  924. $(am__set_b); \
  925. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  926. --log-file $$b.log --trs-file $$b.trs \
  927. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  928. "$$tst" $(AM_TESTS_FD_REDIRECT)
  929. #.test$(EXEEXT).log:
  930. # @p='$<'; \
  931. # $(am__set_b); \
  932. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  933. # --log-file $$b.log --trs-file $$b.trs \
  934. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  935. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  936. distdir: $(BUILT_SOURCES)
  937. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  938. distdir-am: $(DISTFILES)
  939. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  940. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  941. list='$(DISTFILES)'; \
  942. dist_files=`for file in $$list; do echo $$file; done | \
  943. sed -e "s|^$$srcdirstrip/||;t" \
  944. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  945. case $$dist_files in \
  946. */*) $(MKDIR_P) `echo "$$dist_files" | \
  947. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  948. sort -u` ;; \
  949. esac; \
  950. for file in $$dist_files; do \
  951. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  952. if test -d $$d/$$file; then \
  953. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  954. if test -d "$(distdir)/$$file"; then \
  955. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  956. fi; \
  957. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  958. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  959. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  960. fi; \
  961. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  962. else \
  963. test -f "$(distdir)/$$file" \
  964. || cp -p $$d/$$file "$(distdir)/$$file" \
  965. || exit 1; \
  966. fi; \
  967. done
  968. check-am: all-am
  969. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  970. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  971. check: check-am
  972. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  973. installdirs:
  974. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  975. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  976. done
  977. install: install-am
  978. install-exec: install-exec-am
  979. install-data: install-data-am
  980. uninstall: uninstall-am
  981. install-am: all-am
  982. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  983. installcheck: installcheck-am
  984. install-strip:
  985. if test -z '$(STRIP)'; then \
  986. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  987. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  988. install; \
  989. else \
  990. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  991. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  992. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  993. fi
  994. mostlyclean-generic:
  995. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  996. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  997. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  998. clean-generic:
  999. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1000. distclean-generic:
  1001. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1002. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1003. maintainer-clean-generic:
  1004. @echo "This command is intended for maintainers to use"
  1005. @echo "it deletes files that may require special tools to rebuild."
  1006. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1007. clean: clean-am
  1008. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1009. mostlyclean-am
  1010. distclean: distclean-am
  1011. -rm -f ./$(DEPDIR)/pam_rhosts.Plo
  1012. -rm -f Makefile
  1013. distclean-am: clean-am distclean-compile distclean-generic \
  1014. distclean-tags
  1015. dvi: dvi-am
  1016. dvi-am:
  1017. html: html-am
  1018. html-am:
  1019. info: info-am
  1020. info-am:
  1021. install-data-am: install-man install-securelibLTLIBRARIES
  1022. install-dvi: install-dvi-am
  1023. install-dvi-am:
  1024. install-exec-am:
  1025. install-html: install-html-am
  1026. install-html-am:
  1027. install-info: install-info-am
  1028. install-info-am:
  1029. install-man: install-man8
  1030. install-pdf: install-pdf-am
  1031. install-pdf-am:
  1032. install-ps: install-ps-am
  1033. install-ps-am:
  1034. installcheck-am:
  1035. maintainer-clean: maintainer-clean-am
  1036. -rm -f ./$(DEPDIR)/pam_rhosts.Plo
  1037. -rm -f Makefile
  1038. maintainer-clean-am: distclean-am maintainer-clean-generic
  1039. mostlyclean: mostlyclean-am
  1040. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1041. mostlyclean-libtool
  1042. pdf: pdf-am
  1043. pdf-am:
  1044. ps: ps-am
  1045. ps-am:
  1046. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1047. uninstall-man: uninstall-man8
  1048. .MAKE: check-am install-am install-strip
  1049. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1050. check-am clean clean-generic clean-libtool \
  1051. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1052. distclean distclean-compile distclean-generic \
  1053. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1054. html-am info info-am install install-am install-data \
  1055. install-data-am install-dvi install-dvi-am install-exec \
  1056. install-exec-am install-html install-html-am install-info \
  1057. install-info-am install-man install-man8 install-pdf \
  1058. install-pdf-am install-ps install-ps-am \
  1059. install-securelibLTLIBRARIES install-strip installcheck \
  1060. installcheck-am installdirs maintainer-clean \
  1061. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1062. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1063. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1064. uninstall-man8 uninstall-securelibLTLIBRARIES
  1065. .PRECIOUS: Makefile
  1066. #-include $(top_srcdir)/Make.xml.rules
  1067. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1068. # Otherwise a system limit (for SysV at least) may be exceeded.
  1069. .NOEXPORT: